//for generating the data to write into the SRAM from simple user interface in simulation
module my_cnt8 (Clock, Q, Aclr, Enable);

  input Clock;
  output [7:0] Q;
  input Aclr;
  input Enable;

  reg [7:0] Qaux;

  always @(posedge Clock or negedge Aclr)
  begin

    if (!Aclr)
      Qaux <= 8'b000000;
    else if (Enable)
      Qaux <= Qaux + 1;

  end

  assign Q = Qaux;

endmodule